Bug 243572 - screensaver not locking screen - potential security issue
screensaver not locking screen - potential security issue
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
rawhide
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-09 19:09 EDT by John Ellson
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-10 11:29:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Ellson 2007-06-09 19:09:31 EDT
Description of problem:
Screen doesn't lock after specified time.

Running gnome-screensaver manually produces memory warning (see below)

Version-Release number of selected component (if applicable):
gnome-screensaver-2.19.1.1-1.fc8.x86_64

also installed:
xscreensaver-gl-extras-5.02-1.fc7.1.x86_64
xscreensaver-gl-extras-gss-5.02-1.fc7.1.x86_64
xscreensaver-base-5.02-1.fc7.1.x86_64
rss-glx-xscreensaver-0.8.1.p-6.fc6.x86_64
xscreensaver-5.02-1.fc7.1.x86_64
xscreensaver-extras-5.02-1.fc7.1.x86_64
rss-glx-gnome-screensaver-0.8.1.p-6.fc6.x86_64
xscreensaver-extras-gss-5.02-1.fc7.1.x86_64


How reproducible:
100%

Steps to Reproduce:
1.run "gnome-screensaver"
2.
3.
  
Actual results:
ellson@ontap:~> gnome-screensaver

***MEMORY-WARNING***: gnome-screensaver[3681]: GSlice: g_thread_init() must be
called before all other GLib functions; memory corruption due to late invocation
of g_thread_init() has been detected; this program is likely to crash, leak or
unexpectedly abort soon...
ellson@ontap:~> 


Expected results:
Screen need to reliably lock for local security/privacy reasons


Additional info:
Comment 1 Ray Strode [halfline] 2007-06-10 10:49:14 EDT
logged in as root?
Comment 2 John Ellson 2007-06-10 11:17:16 EDT
No - but I rebooted the system later and the problem has cleared now.
So it was probably a library upgrade.   You can close this one I think.

Note You need to log in before you can comment on or make changes to this bug.